<?php ob_start(); ?>
<?php
echo '<head>
        <style>
        table, th, td {
          border: 1px solid black;
          border-collapse: collapse;
        }
        th{
            background-color: #96D4D4;
            }

     .text-center{text-align:center!important}

        </style>
       </head>';
include('db___cn.php');
 $mysqli=conex_db_mysql();
      $listar_convocatorias="SELECT IdBolsaLaboral,Titulo,FechaLimite 
                              FROM tb_bolsa_laboral ORDER BY FechaLimite DESC";
      $rs_convocatorias=$mysqli->query($listar_convocatorias);
     echo '<h4>Lista de Postulaciones Registrados</h4>';
     echo '<table style="width:100%">
              <thead>
                <tr>
                  <th>N&#176;</th>
                  <th>Convocatoria</th>
                  <th>Cant. Postulantes</th>
                  <th>Fecha L&#237;mite</th>
                 </tr>
              </thead>
              <tbody>';
                 $contador=1;
                 $NumPostulaciones=0;
                        while($fila_convocatoria=mysqli_fetch_array($rs_convocatorias))
                        { $fecha_limite = new DateTime($fila_convocatoria['FechaLimite']);
                           $postulaciones="SELECT IdPostulacion FROM tb_bolsa_laboral_postulaciones 
                                              WHERE IdBolsaLaboral=".$fila_convocatoria['IdBolsaLaboral'];
                          $rs_postulaciones=$mysqli->query($postulaciones);
                          $NumPostulaciones=mysqli_num_rows($rs_postulaciones);
                 echo'<tr>';
                            echo'<td>'.$contador.'</td>';
                            echo'<td>'.$fila_convocatoria['Titulo'].'</td>';
                            echo'<td class="text-center">'.$NumPostulaciones.'</td>';
                            echo'<td class="text-center">'.$fecha_limite->format('d-m-Y').'</td>';
                       echo'</tr>';
                          $contador++;
                } 
             echo '</tbody>
            </table>';    
mysqli_close($mysqli);
?>
<?php
require_once 'dompdf/autoload.inc.php';
use Dompdf\Dompdf;
$dompdf = new DOMPDF();
$dompdf->load_html(ob_get_clean());
$dompdf->render();
$pdf = $dompdf->output();
$filename = "postulaciones.pdf";
file_put_contents($filename, $pdf);
$dompdf->stream($filename);
?>
